org.apache.cassandra.transport.messages

## Class ExecuteMessage

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Request
    - - org.apache.cassandra.transport.messages.ExecuteMessage

    public class ExecuteMessage
    extends Message.Request

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

`Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

### Field Summary

Fields
`static Message.Codec<ExecuteMessage>` `codec`
`QueryOptions` `options`
`MD5Digest` `statementId`

### Fields inherited from class org.apache.cassandra.transport.Message.Request

`tracingRequested`

### Fields inherited from class org.apache.cassandra.transport.Message

`connection, forcedProtocolVersion, logger, type`

### Constructor Summary

Constructors
Constructor and Description
`ExecuteMessage(MD5Digest statementId, QueryOptions options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Message.Response` `execute(QueryState state, long queryStartNanoTime)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.transport.Message.Request

`isTracingRequested, setTracingRequested`

### Methods inherited from class org.apache.cassandra.transport.Message

`attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### codec

    public static final Message.Codec<ExecuteMessage> codec

#### statementId

    public final MD5Digest statementId

#### options

    public final QueryOptions options

### Constructor Detail

#### ExecuteMessage

    public ExecuteMessage(MD5Digest statementId,
                          QueryOptions options)

### Method Detail

#### execute

    public Message.Response execute(QueryState state,
                                    long queryStartNanoTime)

Specified by:
  `execute` in class `Message.Request`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`